# Store

이 컨트랙트는 LP가 보유한 Token의 수량과 시간 가중치가 반영된 가격 정보를 갖고 있습니다. 보유한  priceACumulativeLast, priceBCumulativeLast는 TWCP(Time-Weighted Cumulative Price) 으로써 \
시간 가중치가 반영된 가격 정보입니다. 이 컨트랙트의 수량과 가격 정보는 Price Oracle 에 쓰이게 됩니다.&#x20;

## Address

* Cypress : [0x1289550d988177575154c2CA45c95CCfb32F837d](https://scope.klaytn.com/account/0x1289550d988177575154c2CA45c95CCfb32F837d?tabId=txList)

## Read-Only Functions

{% tabs %}
{% tab title="Events" %}

## Events

**Sync**

```solidity
event Sync(address pool, uint112 reserveA, uint112 reserveB);
```

* 풀 자산이 업데이트 할때 발생되는 이벤트
* Parameters
  * pool :  유동성 풀 주소
  * reserveA : TokenA 수량
  * reserveB : TokenB 수량
    {% endtab %}

{% tab title="Read-Only Functions" %}

## Read-Only Functions

reserveA

```solidity
function reserveA(address pool) public view returns (uint112 _reserveA)
```

* LP가 보유한 TokenA의 수량

reserveB

```solidity
function reserveB(address pool) public view returns (uint112 _reserveB)
```

* LP가 보유한 TokenB의 수량

priceACumulativeLast

```solidity
function priceACumulativeLast(address pool) public view returns (uint112 _priceA)
```

* LP가 보유한 TokenA의 TWCP

priceBCumulativeLast

```solidity
function priceBCumulativeLast(address pool) public view returns (uint112 _priceB)
```

* LP가 보유한 TokenB 의 TWCP

getReserves

```solidity
function getReserves(address pool) public view returns (uint112 _reserveA, uint112 _reserveB, uint32 _blockTimestampLast)
```

* LP가 보유한 수량과 TWCP 정보&#x20;
* Parameter
  * `_reserveA` : LP가 보유한  tokenA의 수량
  * `_reserveB` : LP가 보유한  tokenB의 수량
  * `_blockTimestampLast` : LP가 마지막으로 계산된 BlockTime
    {% endtab %}
    {% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.klayswap.com/kr/developer/contract/store.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
